5

Simple question as title, Can i still use magento 1.9 module/theme at magento 2.0? Is magento 2.0 a completely new system and not compatible with 1.9?

  • step 1. migration major to major version isn't a thing, it's a process. let that sink in. and work on finding an answer. – Reid Blomquist Nov 19 '15 at 7:31
  • 1
    There is no magic here, the Mage will need to remove his shirt and start engaging in actual physical labor. magento.stackexchange.com/questions/87007/… – Fiasco Labs Nov 19 '15 at 7:43
3

It is not possible to use Magento 1.x extensions and design themes with Magento 2 without code refactoring.
There is the official code migration tool which can help the developers to migrate theirs extensions and design themes: https://github.com/magento/code-migration
But the tools is for experienced developers only.

2

The architecture of Magento 1.9x is entirely different than Magento 2.x so technically it's not possible to migrate a Magento 1.9.x to 2.x without actually changing the entire theme architecture. Magento 2.x is not backward compatible with Magento 1.9.x so it's NOT possible.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.